story/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('story5.urls')),
]

story5/urls.py
from django.urls import path
from . import views
from .views import index, add_matkul, matkul_detail, delete_matkul

app_name = "story5"

urlpatterns = [
    path("",views.index,name="index"),
    path("add_matkul/",views.add_matkul,name="add_matkul"),
    path("matkul/<int:id>",views.matkul_detail,name="matkul_detail"),
    path("delete_matkul/<int:id>",views.delete_matkul,name="delete_matkul")
]

story5/models.py
from django.db import models
from django.shortcuts import reverse

semester_choices = [
    ("2019/2020 Gasal","2019/2020 Gasal"),
    ("2019/2020 Genap","2019/2020 Genap"),
    ("2020/2021 Gasal","2020/2021 Gasal"),
    ("2020/2021 Genap","2020/2021 Genap"),
    ("2021/2022 Gasal","2021/2022 Gasal"),
    ("2021/2022 Genap","2021/2022 Genap"),
    ("2022/2023 Gasal","2022/2023 Gasal"),
    ("2022/2023 Genap","2022/2023 Genap")
]

class MataKuliah(models.Model):
    nama = models.TextField(max_length = 50)
    dosen = models.TextField(max_length = 50)
    jumlah_sks = models.IntegerField()
    deskripsi = models.TextField(max_length = 500)
    semester = models.TextField(choices = semester_choices)
    ruangan = models.TextField(max_length = 50)

    def __str__(self):
        return "{} ({})".format(self.nama,self.dosen)

    def get_absolute_url(self):
        return reverse("story5:matkul_detail",args=[self.id])

story5/forms.py
from django import forms
from .models import MataKuliah

class MatkulForm(forms.ModelForm):
    class Meta:
        model = MataKuliah
        fields = "__all__"

story5/views.py
from django.shortcuts import render, redirect
from .models import MataKuliah
from .forms import MatkulForm
from django.contrib import messages

def index(request):
    context = {
        "mata_kuliah_list" : MataKuliah.objects.all().order_by("-id"),
    }
    return render(request,"index.html",context)

def add_matkul(request):
    if request.method == "POST":
        matkul_form = MatkulForm(request.POST)
        if matkul_form.is_valid():
            matkul_form.save()
            messages.add_message(request, messages.SUCCESS, "Matkul '{}' Ditambahkan".format(request.POST["nama"]))
        return redirect("story5:index")
    return render(request,"add_matkul.html")

def matkul_detail(request,id):
    matkul = MataKuliah.objects.get(id=id)
    context = {
        "mata_kuliah" : matkul,
    }
    return render(request,"detail_matkul.html",context)

def delete_matkul(request,id):
    if request.method == "POST":
        mata_kuliah = MataKuliah.objects.get(id=id)
        mata_kuliah.delete()
        messages.add_message(request, messages.SUCCESS, "Matkul '{}' Dihapuskan".format(mata_kuliah.nama))
    return redirect("story5:index")

# Create your views here.

story5/templates/add_matkul.html
{% extends 'base.html' %}
{% block content %}
<form method="POST" action="{% url 'story5:add_matkul' %}">
{% csrf_token %}
    <div class="card text-white bg-dark mt-1 mb-3 mx-auto" style="max-width: 50rem;">
    <div class="card-header d-flex justify-content-between">
      <div class="d-flex flex-column">
        <h5 class="my-auto"><input class="form-control-lg col-9 mb-3 p-0" placeholder="Nama mata kuliah" name="nama" required></h5>
        <p class="card-text m-1 mt-2">Ruangan: <input class="form-control-sm w-75 ml-1" placeholder="Kode Ruangan" name="ruangan" required></p>
        <p class="card-text m-1">Dibawa Oleh <input class="form-control-sm w-75 ml-1" placeholder="Nama dosen" name="dosen" required></p>
      </div>
      <div class="d-flex flex-column">
        <p class="mx-1">Semester:<select class="form-control mb-1" name="semester" required>
                  <option value="2019/2020 Gasal">2019/2020 Gasal</option>
                  <option value="2019/2020 Genap">2019/2020 Genap</option>
                  <option value="2020/2021 Gasal">2020/2021 Gasal</option>
                  <option value="2020/2021 Genap">2020/2021 Genap</option>
                  <option value="2021/2022 Gasal">2021/2022 Gasal</option>
                  <option value="2021/2022 Genap">2021/2022 Genap</option>
                  <option value="2022/2023 Gasal">2022/2023 Gasal</option>
                  <option value="2022/2023 Genap">2022/2023 Genap</option>
                </select></p>
        <p class="mx-1">SKS: <input class="form-control" type="number" value=1 name="jumlah_sks" required></p>
        <button class="btn btn-warning" type="submit">Add Matkul</button>
      </div>
    </div>
    <div class="card-body">
      <p> <textarea class="form-control w-100" placeholder="Description of Mata Kuliah" name="deskripsi" required></textarea></p>
    </div>
  </div>
</form>
{% endblock %}

story5/templates/base.html
{% load static %}
<html lang="en">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <!-- Bootstrap CSS -->
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">

  <title>Manage Matkul</title>
</head>

<body style="background-color:lightgray;" class="textile text-light">
  {% include 'navbar.html' %}
  {% block content %}
  {% endblock %}
<p class="text-center text-secondary mt-3">Story 5 by Ahmad Haydar Alkaf</p>
    <!-- Optional JavaScript -->
  <!-- jQuery first, then Popper.js, then Bootstrap JS -->
  <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
</body>

</html>

story5/templates/detail_matkul.html
{% extends 'base.html' %}
{% block content %}
  <div class="card text-white bg-dark mt-2 mb-2 mx-auto" style="max-width: 50rem;">
    <div class="card-header d-flex justify-content-between">
      <div class="d-flex flex-column">
        <h5 class="my-auto">{{mata_kuliah.nama}}</h5>
        <p class="card-text m-1 mt-2">Ruangan: {{mata_kuliah.ruangan}}</p>
        <p class="card-text m-1">Dibawa Oleh {{mata_kuliah.dosen}}</p>
      </div>
      <div class="d-flex flex-column">
        <p class="mx-1">{{mata_kuliah.semester}}</p>
        <p class="mx-1">{{mata_kuliah.jumlah_sks}} SKS</p>
      </div>
    </div>
    <div class="card-body">
      <p> {{mata_kuliah.deskripsi}} </p>
    </div>
  </div>
{% endblock %}

story5/templates/index.html
{% extends 'base.html' %}
{% block content %}
{% if messages %}
            {% for message in messages %}
                    <div class="alert alert-{{message.tags}} alert-dismissible fade show" role="alert">
                        {{ message }}
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
            {% endfor %}
        {% endif %}
{% for mata_kuliah in mata_kuliah_list %}
<div class="card text-white bg-dark mt-2 mb-2 mx-auto" style="max-width: 50rem;">
    <div class="card-header d-flex justify-content-between">
      <h5 class="my-auto"> {{mata_kuliah.nama}} </h5>
      <div class="d-flex flex-row">
        <a href={{mata_kuliah.get_absolute_url}} class="btn btn-warning mx-1 my-auto">Detail</a>
        <form action="{% url 'story5:delete_matkul' mata_kuliah.id %}" class="my-auto"method="POST">
         {% csrf_token %}
         <button class="btn btn-warning mx-1" type="input">Delete</button>
        </form>
      </div>
    </div>
    <div class="card-body">
      <p class="card-text m-1">Ruangan: {{mata_kuliah.ruangan}} </p>
      <p class="card-text m-1">Dibawa Oleh {{mata_kuliah.dosen}} </p>
    </div>
</div>
{% endfor %}
{% endblock %}

story5/templates/navbar.html
  <nav class="navbar navbar-dark bg-dark sticky-top" style="background-color:#1e1f26">
    <a class="navbar-brand text-warning" href="{% url 'story5:index' %}">Manage Matkul</a>
    <ul class="navbar-nav">
    <li class="nav-item">
        <a class="nav-link btn btn-warning text-dark" style="min-width:8rem" href="{% url 'story5:add_matkul' %}">Add</a>
    </li>
    </ul>
  </nav>